Foreman - Bug #14783

Operating system description length accepts more than 255 characters
04/22/2016 10:11 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Web Interface
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1328935 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3455
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1328935
Description of problem:
Operating system description length accepts more than 255 characters

Version-Release number of selected component (if applicable):
satellite-6.2.0-8.2.beta.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:

1.Create an operating system with description of length 256 characters
2.

3.

Actual results:
Operating system created with no errors

Expected results:
Until last build, we allowed os description length upto a maximum of 255 characters only, now its broken.

Additional info:

Related issues:
Related to Foreman - Bug #9357: Not all description fields Foreman are the sa... Closed 02/12/2015

Associated revisions

Revision 86500467 - 06/13/2016 04:39 AM - Daniel Lobato Garcia
Fixes #14783 - Limit OS description to 255

This field forms part of 'os.title' too.

History

#1 - 04/22/2016 10:13 AM - Dominic Cleal

- Related to Bug #9357: Not all description fields Foreman are the same length. Some are text fields and some are strings (255 chars) added

#2 - 04/22/2016 10:13 AM - Dominic Cleal

- Status changed from New to Rejected

This isn't a bug, it's by design: #9357.

#3 - 04/22/2016 10:50 AM - David Davis
https://bugzilla.redhat.com/show_bug.cgi?id=1328935
https://projects.theforeman.org/issues/9357

I would argue that this probably should be a bug. The description is used as an identifier in the Ul and the field is even a textfield and not a text area. |
think we should either change description back to a varchar in the database or reinstate a limit to OS description. Unlimited is too long for
operatingsystems index, architecture edit, etc.

#4 - 04/22/2016 10:51 AM - David Davis

- Assignee changed from Ivan Necas to David Davis

#5 - 04/22/2016 10:57 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from Rejected to Ready For Testing

- Assignee changed from David Davis to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3455 added

#6 - 06/13/2016 04:41 AM - Marek Hulan

- translation missing: en.field_release set to 160

#7 - 06/13/2016 05:01 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 86500467966a63d85¢913d4d92d5733bdc002058.
